<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 05/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : databases.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : Definitions and arrays (hard-coded databases)    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Definitionen und Datenfelder (hart-codertiert)   *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} // END - if

// System-wide return codes
define('CODE_WRONG_PASS'       ,  1);
define('CODE_WRONG_ID'         ,  2);
define('CODE_ID_LOCKED'        ,  3);
define('CODE_ID_UNCONFIRMED'   ,  4);
define('CODE_UNKNOWN_STATUS'   ,  5);
define('CODE_NO_COOKIES'       ,  6);
define('CODE_CNTR_FAILED'      ,  8);
define('CODE_LOGOUT_DONE'      ,  8);
define('CODE_LOGOUT_FAILED'    ,  9);
define('CODE_URL_TLOCK'        , 10);
define('CODE_URL_FOUND'        , 11);
define('CODE_OVERLENGTH'       , 12);
define('CODE_SUBJ_URL'         , 13);
define('CODE_BLIST_URL'        , 14);
define('CODE_NO_RECS_LEFT'     , 15);
define('CODE_INVALID_TAGS'     , 16);
define('CODE_MORE_POINTS'      , 18);
define('CODE_COOKIES_DISABLED' , 18);
define('CODE_DATA_INVALID'     , 19);
define('CODE_POSSIBLE_INVALID' , 20);
define('CODE_ACCOUNT_LOCKED'   , 21);
define('CODE_USER_404'         , 22);
define('CODE_STATS_404'        , 23);
define('CODE_ALREADY_CONFIRMED', 24);
define('CODE_ERROR_MAILID'     , 25);
define('CODE_EXTENSION_PROBLEM', 26);
define('CODE_MORE_RECEIVERS1'  , 28);
define('CODE_MORE_RECEIVERS2'  , 28);
define('CODE_MORE_RECEIVERS3'  , 29);
define('CODE_INVALID_URL'      , 30);
define('CODE_MENU_NOT_VALID'   , 31);
define('CODE_LOGIN_FAILED'     , 32);
define('CODE_BEG_SAME_AS_OWN'  , 33);

// Full version string: /([0-9]){1}\.([0-9]){1}\.([0-9]){1}(-(alpha|beta|pre|rc([1-3]))([0-9]+))?/
// If you understand regular expressions ^^^ you may know how I versionize... ;-)
define('FULL_VERSION', "0.2.1-FINAL");

// Replacement strings
$REPLACER = array(
	'userid'  => "%uid%",			// User-ID
	'surname' => "%vorname%",		// Surname
	'family'  => "%nachname%",		// Family name
	'gender'  => "%anrede%",		// Gender
);

// One day
$_CONFIG['one_day'] = 60*60*24;

//
// Timestamp for yesterday, today ... all at 00:00 am
define('START_YDAY', MAKE_TIME(0, 0, 0, time() - $_CONFIG['one_day']));
define('START_TDAY', MAKE_TIME(0, 0, 0, time()));

$COOKIES = substr(URL, strpos(substr(URL, 8), "/") + 8);
if ((strpos($COOKIES, "/") == "0") && (strpos(substr(URL, 8), "/") > 0)) {
	// Script was installed into a sub directory
	if (substr($COOKIES, -1) != "/") $COOKIES .= "/";
} else {
	// No more sub directories added to URL
	$COOKIES = "/";
}

// Cookie-Path ( for lame servers... ;-) )
define('COOKIE_PATH', $COOKIES);

// Base directory for access logfiles
define('LOGS_BASE', "logs");

// Base directory for usage statistics
define('USAGE_BASE', "usage");

// Server-URL (DO NOT CHANGE THIS OR YOU CANNOT CHECK FOR UPDATES/EXTENSIONS!)
define('SERVER_URL', "http://www.mxchange.org");

// This current patch level
define('CURR_SVN_REVISION', "580");

// Take a prime number which is long (if you know a longer one please try it out!)
define('_PRIME', 591623);

// Calculate "entropy" with the prime number (for code generation)
define('_ADD', (_PRIME * _PRIME / (pi() * $_CONFIG['code_length'] + 1)));

// Random number for e.g. "cache-buster" used in OpenX script
define('CACHE_BUSTER', mt_rand(1000000, 9999999));

// Extra title is empty by default
$EXTRA_TITLE = "";

//
?>
